//  Copyright © 2015-2016  B. Clausius <barcc@gmx.de>
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

import QtQuick 2.3
import QtQuick.Controls 1.3
import QtQuick.Window 2.2

Window {
    id: helpdialog
    width: 380
    height: 500
    flags: Qt.Dialog
    modality: Qt.NonModal
    
    Component.onCompleted: ctx.set_transient(helpdialog)
    onVisibleChanged: { if (!visible) ctx.helpdialog_visible = false }
    
    TextArea {
            id: textarea
            anchors.fill: parent
            focus: true
            text: ctx.dialog_text("help_text")
            textFormat: TextEdit.RichText
            readOnly: true
            
            Keys.onPressed: {
                if (event.key == Qt.Key_Escape || event.key == Qt.Key_Return || event.key == Qt.Key_Enter) {
                    if (!event.accepted) {
                        event.accepted = true
                        helpdialog.close()
            }   }   }
    }
}

